%define version 0.0.9
%define release 2mdk

%define modlibname %mklibname ggzmod 1
%define corelibname %mklibname ggzcore 5

%define libggz_version 0.0.9

Name:		ggz-client-libs
Summary:	GGZ Client Libraries
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggzgamingzone.org/
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libggz-devel = %{libggz_version}
Buildrequires:	popt-devel expat-devel
Prereq:		%{modlibname} = %{version}-%{release}
Prereq:		%{corelibname} = %{version}-%{release}

%description
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains shared data files of GGZ and utility that
maintain installed game modules.


%package -n	%{modlibname}
Summary:	GGZ Library containing functions interfacing game server and GGZ
Group:		Games/Other
Requires:	%{name} = %{version}-%{release}
Provides:	libggzmod = %{version}-%{release}

%description -n	%{modlibname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains library that contains common functions for
interfacing a game server and GGZ.


%package -n	%{corelibname}
Summary:	GGZ Library needed by GGZ clients
Group:		Games/Other
Requires:	%{name} = %{version}-%{release}
Provides:	libggzcore = %{version}-%{release}

%description -n	%{corelibname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains library that contains core functions needed
by all GGZ clients.


%package	devel
Summary:	Development files for GGZ game clients library
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	libggz-devel = %{libggz_version}

%description	devel
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone clients or game modules.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# owns various directories
mkdir -p %{buildroot}%{_libdir}/ggz \
	 %{buildroot}%{_datadir}/ggz/ggz-config \
	 %{buildroot}%{_datadir}/ggz/pixmaps

mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/ggz.modules

%clean
rm -rf %{buildroot}

%post -n %{modlibname} -p /sbin/ldconfig
%postun -n %{modlibname} -p /sbin/ldconfig

%post -n %{corelibname} -p /sbin/ldconfig
%postun -n %{corelibname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README QuickStart.GGZ README.GGZ
%config(noreplace) %{_sysconfdir}/ggz.modules
%{_bindir}/*
%{_mandir}/man5/*
%{_mandir}/man6/*
%dir %{_libexecdir}/ggz
%dir %{_datadir}/ggz
%dir %{_datadir}/ggz/ggz-config
%dir %{_datadir}/ggz/pixmaps

%files -n %{modlibname}
%defattr(-,root,root)
%{_libdir}/libggzmod.so.*

%files -n %{corelibname}
%defattr(-,root,root)
%{_libdir}/libggzcore.so.*

%files devel
%defattr(-,root,root)
%doc COPYING ChangeLog HACKING TODO
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_mandir}/man3/*


%changelog
* Mon Nov 29 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-2mdk
- Split libraries

* Sun Nov 28 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version

* Tue Feb 10 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version

* Fri Sep  5 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- buildrequires
- owns various shared directories
- undo libdification since older and newer libraries can't coexist
  unless packages are grinded into dust, and this is unworthy because
  not many packages are depending on ggz libraries

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-4mdk
- buildrequires

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Thu Mar 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (libggz-client2/libggz-client2-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5 release

* Sun Jun 17 2001 Rich Gade <rgade@users.sourceforge.net>
- Added manual pages

* Wed Mar 28 2001 Rich Gade <rgade@users.sourceforge.net>
- Corrected spec file to properly install libggzcore as shared

* Tue Mar 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
